вторник, 4 декабря 2018 г.

Версии SAP ERP и SAP NetWeaver. А где же SAP S/4HANA?

В 2013 году я опубликовал пост "Версии SAP ERP и SAP NetWeaver", в котором я выложил таблицу разных версий ERP систем от SAP и рассказал, как посмотреть версии компонент в конкретной SAP системе. Потом я обновил таблицу в 2016 году, добавив в неё систему SAP ERP 6.0 EHP8.

Сегодня я хотел бы выложить обновлённую таблицу, попробовав добавить системы SAP S/4HANA (рис. 1).

Рис. 1. Таблица версий SAP NetWeaver и SAP ERP. Версия 1.3.

Система SAP S/4HANA 1511 целиком построена на платформе SAP NetWeaver 7.5 (ABAP и Java стеки). SAP S/4HANA 1610 для ABAP стека использует новый SAP NetWeaver 7.51 innovation package, а SAP S/4HANA 1709 - SAP NetWeaver 7.52. Для сервера приложений Java обе версии используют всё тот же SAP NetWeaver 7.5. Business Functionality обозначается теперь не ECC, а S4CORE.

Как я понимаю, в SAP NetWeaver 7.51 и 7.52 всё больше и больше SAPUI5-приложений (SAP Fiori). При этом через SAP GUI с SAP S/4HANA работать тоже можно. Дополнительно про это можно почитать, например, тут.

Установка SAP S/4HANA производится всё через тот же SWPM 1.0, о котором я рассказывал тут. К SAP ноте 1680045 - Release Note for Software Provisioning Manager 1.0 прикреплён прекрасный pdf-документ, в котором описаны какие системы можно с помощью этой утилиты установить. Так вот, этот документ прекрасно даёт понять на какой технологии SAP NetWeaver каждая система основана. Рекомендую периодически заглядывать.

Так же в PAM по каждому продукту: на основной странице (Details & Dates) в правом верхнем углу в разделе "Essential Information" дополнительно есть полезные небольшие документы (рис. 2).

Рис. 2. Полезная информация по SAP продукту в PAM.

Например, по системе SAP ERP 6.0 EHP8 там лежит таблица, посвященная поддержке операционных систем и баз данных для установки SAP NetWeaver 7.5x (рис. 3). Эта табличка тоже постоянно обновляется.

Рис. 3. Поддержка OS/DB в SAP NetWeaver 7.5x.

Отсюда уже можно сделать вывод, что SAP NetWeaver 7.51 и 7.52 работают не только на SAP HANA. Это так же подтверждают SAP ноты:

Но S/4HANA пока только на SAP HANA. Название продукта обязывает. :)

Еще полезная SAP нота 2322469 - Support package levels for newly installed SAP system's (NetWeaver, Solution Manager, ERP/ECC etc.), в которой перечислены все SAP ноты по типам SAP систем. Например, SAP нота 789220 - Support Package levels for SAP NetWeaver installations/upgrades - содержит компоненты и начальный уровень их пакетов поддержки на момент установки по всем версиям SAP NetWeaver. А SAP нота 774615 - Support Package levels of ERP/ECC installations/upgrades - компоненты и начальный уровень их пакетов поддержки на момент установки по всем версиям SAP ERP. По SAP S/4HANA своя нота - 2236608 - Support Package levels of SAP S/4HANA ON-PREMISE installations/upgrades.

Выпущенную в этом году, SAP S/4HANA 1809 добавлять в таблицу я пока не стал. С ней для меня не всё прозрачно. SAP NetWeaver там используется какой-то новый (SAP ноты 2625488 и 2670175). И похоже будет очередное переименование ПО. Причем, указано, что отдельным продуктом он установлен быть не может. В нотах по установке через SWPM 1.0 и 2.0 этой версии системы нет. Но в ноте по версии S/4HANA указано, что установку производить через SWPM 2.0. В PAM указано, что она построена на ABAP FND 1809, а SAP_BASIS там версии 753. SAP Kernel используется совершенно новой версии - 7.73 (рис. 4).

Рис. 4. Поддержка OS/DB в SAP S4/HANA 1809.

Если вернуться к SAP ERP системам, то дополнительно могу посоветовать SAP ноту 1064635 - SAP ERP Enhancement Packages: SP Stacks Release Info Note, в которой указано соответствие SPS, установленного для определенного EHP и SPS другого EHP или базовой SAP ERP 6.0. Надеюсь, понятно объяснил. Так же в этой ноте указаны все SAP ноты для каждого SP стека каждой системы SAP ERP 6.0 всех EHP.

Очень много SAP нот получается. Но еще одна тема. Когда у нас большой ландшафт из систем компании SAP и, перед обновлением какой-то системы надо понять: какие системы смогут работать между собой, а какие надо будет тоже "подтянуть". Тут могут помочь SAP ноты:

Первая про сценарий, когда центральной системой является - SAP ERP, вторая про сценарий с SAP S/4HANA.

Таблицы в старых постах обновлять не стал. Каждый пост содержит свою порцию информации. Обозначил тут, что это версия 1.3. Для полной картины надо читать все три поста.

В качестве выводов моё субъективное мнение: пока ничего проще не становится. Чем дальше в лес, тем злее дятлы. Если сюда добавить, что поддержка версий систем SAP S/4HANA очень ограничена по времени: SAP S/4HANA 1511 - 31.12.2020,  SAP S/4HANA 1610 - 31.12.2021, SAP S/4HANA 1709 - 31.12.2022, SAP S/4HANA 1809 - 31.12.2023. А версии систем выходят раз в год (номер версии - это зашифрованный год+месяц выхода). То путаница и зоопарк будут только расти. К слову, у всех версий SAP ERP (даже у EHP0) дата окончания поддержки не изменилась - 31.12.2025.


Автор: Шиболов Вячеслав Анатольевич


Комментариев нет:

Отправить комментарий